Subject: Template of widgets can't be changed
Description

Currently the widgets use the default template path only and it is impossible to override those which is kind of a nogo.

Attached patch fixes this. The path can be set via TS. e.g.

plugin.tx_fo.view.widgetRootPath = fileadmin/fo/

If using the pagination widget, the index.html needs to be at fileadmin/fo/ViewHelpers/Widget/Paginate/Index.html
One open question: Is this the correct way to go with the part "ViewHelpers" inside this path? or should it be
fileadmin/fo/Paginate/Index.html?

Related issues:
related to TYPO3.Fluid - Task # 11969: Make widgets' template configurable Closed 2011-04-01
duplicated by TYPO3.Fluid - Bug # 34324: Template of widgets can't be changed Closed 2011-04-01

History
#1 - 2011-04-13 11:34 - Henjo Hoeksma

+1 on this :-)

#2 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-03-07 16:50 - Karsten Dambekalns
- Category set to Widgets
- Status changed from New to Needs Feedback
- Assigned To set to Christian Müller
- Has patch set to No

Christian, are you working on this?

#4 - 2012-03-19 20:19 - Christopher Hlubek

I think we won't have a fileadmin folder in FLOW3 and I also dislike the idea of putting templates inside a fileadmin folder.

It should be possible to override this using settings (or TypoScript in v4). Right now the core widgets are cool but pretty useless.
#5 - 2012-03-19 20:21 - Georg Ringer

IMO this has been resolved with #10823
can you please crosscheck, thx

#6 - 2012-09-20 10:58 - Adrian Föder
- Status changed from Needs Feedback to Closed

to me, everything looks like this is already resolved or handled in the related issues. Thus, closing it.

Files
widget-template.patch 1.1 kB 2011-04-01 Georg Ringer
